Bug 10223 - .forward and RedHat's single-user groups
Summary: .forward and RedHat's single-user groups
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-17 16:22 UTC by Scott Delinger
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-19 10:14:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Delinger 2000-03-17 16:22:51 UTC
.forward files do not work with the default sendmail installation AND
RedHat's single-user groups, if the home directory is set to a reasonable
drwxrwxr-x.

Sendmail complains:

Mar 17 00:00:01 hobbes sendmail[30210]:  JAA30209: forward
/home/foo/.forward: Group writable directory

I don't think it should be necessary to make the home directories
drwxr-xr-x to make this work. Permission settings of 755 are illogical
given RedHat's desire for single-user groups as the default.

Comment 1 Florian La Roche 2000-05-19 10:14:59 UTC
home dirs are not created with 0775 by default and I think it is good
to ship sendmail with this extra security check, so I'll not change anything
for the default setup.


Note You need to log in before you can comment on or make changes to this bug.